Application: gvSIG desktop - gvSIG bugs #4263
RuntimeError: maximum recursion depth exceeded in script
07/04/2016 11:17 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Scripting

Target version: 2.3.0-2439 (rev. org.gvsig.desktop-2.0.145)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2435 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Executing the script (with small adaptation) described in this blog post:
https://blog.gvsig.org/2016/06/17/counter-for-identical-registers-in-a-field-using-scripting-in-gvsig/

a RuntimeError: maximum recursion depth exceeded in script occurs.
Tested with USA_adm2.shp from GADM and other shapefiles.
| attach the script package and the console log.

Associated revisions

Revision 690 - 07/08/2016 07:47 AM - Joaquin del Cerro Murciano

refs #4263, corregida la invocacion a los methos update y edit del FeatureStore de java

History

#1 - 07/25/2016 12:11 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2439 (rev. org.gvsig.desktop-2.0.145)

- Status changed from New to Fixed

#2 - 07/26/2016 07:16 PM - Antonio Falciano
- Assignee set to Joaquin del Cerro Murciano
- Status changed from Fixed to Closed

Files

gvSIG-desktop-2.3.0-find duplicates-1.0.0-0-testing-all-all-j1_7.gvspkg 1.86 KB 07/04/2016 Antonio Falciano

script_log.txt 284 KB 07/04/2016 Antonio Falciano
